LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
BasicViewFactory Service Reference

The BasicViewFactory is a view factory that provides the panes used by the Draw and Impress applications. More...

`import"BasicViewFactory.idl";`

Inheritance diagram for BasicViewFactory:

## Public Member Functions
| create ([in] ::com::sun::star::frame::XController xController)
| Give the controller to new instances so that they have access to the drawing framework controllers. More...
Public Member Functions inherited from XResourceFactory
XResource | createResource ([in] XResourceId xResourceId) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Create a resource for the given XResourceId object. More...
void | releaseResource ([in] XResource xResource)
| Call this method to tell a factory that the given resource is no longer in use. More...

## Detailed Description

The BasicViewFactory is a view factory that provides the panes used by the Draw and Impress applications.

The factory recognizes the following URLs:

- `private:resource/view/ImpressView` for the regular edit view of the Impress application.
- `private:resource/view/GraphicView` for the regular edit view of the Draw application.
- `private:resource/view/OutlineView` for the outline view.
- `private:resource/view/NotesView` for the notes view.
- `private:resource/view/HandoutView` for the handout view.
- `private:resource/view/SlideSorter` for the slide sorter regardless of which pane it is used in.
- `private:resource/view/PresentationView` for the slide show.
- `private:resource/view/TaskPane` for the task pane.

## Member Function Documentation

## ◆ create()

create | ( | [in] ::com::sun::star::frame::XController | xController | ) |

Give the controller to new instances so that they have access to the drawing framework controllers.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/framework/BasicViewFactory.idl